/*
 *  ./acpica/busmgr/utility.h - <TBD>
 *
 *  Copyright (C) 2000 R. Byron Moore
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef __UTILITY_H__
#define __UTILITY_H__

#include "busmgr.h"
#include "bm.h"



void
UtPrintObject (
    ACPI_HANDLE             AcpiHandle);

ACPI_STATUS
UtCastBuffer(
    ACPI_BUFFER             *Buffer,
    void                    **Pointer,
    UINT32                  Length);

ACPI_STATUS
UtCopyToBuffer(
    ACPI_BUFFER             *Buffer,
    void                    *Data,
    UINT32                  Length);

ACPI_STATUS
UtExtractPackageData(
    ACPI_OBJECT             *Package,
    ACPI_BUFFER             *Format,
    ACPI_BUFFER             *Buffer);

ACPI_STATUS
UtEvaluateSimpleInteger(
    ACPI_HANDLE             AcpiHandle,
    UINT32                  *Data);

ACPI_STATUS
UtEvaluateReferenceList(
    ACPI_HANDLE             AcpiHandle,
    BM_HANDLE_LIST          *HandleList);


#endif /* __UTILITY_H__ */
