/*
 *  ./acpica/control/power/power.c - <TBD>
 *
 *  Copyright (C) 2000 R. Byron Moore
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#define __POWER_C__

// TODO: remove...
#include <KernelExport.h>

#include <acpi.h>

#include <utility.h>

#include "power.h"


#define _COMPONENT          POWER_CONTROL
        MODULE_NAME         ("power");




ACPI_STATUS
PwInitialize(void)
{
    ACPI_STATUS             Status = AE_OK;

    FUNCTION_TRACE("PwInitialize");

    if (ACPI_FAILURE(Status = PwResourceInitialize()))
        return_ACPI_STATUS(Status);

    if (ACPI_FAILURE(Status = PwDeviceInitialize()))
        return_ACPI_STATUS(Status);

    return_ACPI_STATUS(Status);
}



ACPI_STATUS
PwTerminate(void)
{
    ACPI_STATUS             Status = AE_OK;

    FUNCTION_TRACE("PwTerminate");

    if (ACPI_FAILURE(Status = PwDeviceTerminate()))
        return_ACPI_STATUS(Status);

    if (ACPI_FAILURE(Status = PwResourceTerminate()))
        return_ACPI_STATUS(Status);

    return_ACPI_STATUS(Status);
}