
/*
 *  ./acpica/subsystem/common/cmerror.c - Error reporting routines that are never compiled out.
 *
 *  Copyright (C) 2000 R. Byron Moore
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#define __CMERROR_C__

#include <acpi.h>


#define _COMPONENT          MISCELLANEOUS
        MODULE_NAME         ("cmerror");



void
_ReportError (
    char                    *ModuleName, 
    INT32                   LineNumber, 
    INT32                   ComponentId, 
    char                    *Message)
{

    DebugPrint (ModuleName, LineNumber, ComponentId, ACPI_ERROR, 
                "*** Error: %s\n", Message);

}



void
_ReportWarning (
    char                    *ModuleName, 
    INT32                   LineNumber, 
    INT32                   ComponentId, 
    char                    *Message)
{

    DebugPrint (ModuleName, LineNumber, ComponentId, ACPI_WARN, 
                "*** Warning: %s\n", Message);

}



void
_ReportSuccess (
    char                    *ModuleName, 
    INT32                   LineNumber, 
    INT32                   ComponentId, 
    char                    *Message)
{

    DebugPrint (ModuleName, LineNumber, ComponentId, ACPI_OK, 
                "*** Success: %s\n", Message);
}



void
_ReportInfo (
    char                    *ModuleName, 
    INT32                   LineNumber, 
    INT32                   ComponentId, 
    char                    *Message)
{

    DebugPrint (ModuleName, LineNumber, ComponentId, ACPI_INFO, 
                "*** Info: %s\n", Message);

}


