
/*
 *  ./acpica/subsystem/common/cmutils.c - common utility procedures
 *
 *  Copyright (C) 2000 R. Byron Moore
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */



#define __CMUTILS_C__

#include <acpi.h>
#include <events.h>
#include <hardware.h>
#include <namesp.h>
#include <interp.h>
#include <amlcode.h>
#include <debugger.h>


#define _COMPONENT          MISCELLANEOUS
        MODULE_NAME         ("cmutils");





BOOLEAN 
CmValidAcpiName (
    UINT32                  Name)
{
    char                    *NamePtr = (char *) &Name;
    UINT32                  i;

    

    for (i = 0; i < ACPI_NAME_SIZE; i++)
    {
        if (!((NamePtr[i] == '_') || 
              (NamePtr[i] >= 'A' && NamePtr[i] <= 'Z') ||
              (NamePtr[i] >= '0' && NamePtr[i] <= '9')))
        {
            return FALSE;
        }
    }


    return TRUE;
}



BOOLEAN
CmValidAcpiCharacter (
    char                    Character)
{

    return ((BOOLEAN)   ((Character == '_') || 
                        (Character >= 'A' && Character <= 'Z') ||
                        (Character >= '0' && Character <= '9')));
}





