
/*
 *  ./acpica/subsystem/hardware/hwtimer.c - ACPI power management timer access functions
 *
 *  Copyright (C) 2000 R. Byron Moore
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#define __DVTIMER_C__

#include <acpi.h>
#include <hardware.h>


#define _COMPONENT          HARDWARE
        MODULE_NAME         ("hwtimer");



UINT32
HwPmtTicks (void)
{
    UINT32                   Ticks;
 
    FUNCTION_TRACE ("AcpiPmtTicks");

    Ticks = OsdIn32 (Gbl_FACP->PmTmrBlk);

    return_VALUE (Ticks);
}



UINT32
HwPmtResolution (void)
{
    FUNCTION_TRACE ("AcpiPmtResolution");

    if (0 == Gbl_FACP->TmrValExt)
    {
        return_VALUE (24);
    }

    return_VALUE (32);
}
