
/*
 *  ./acpica/subsystem/include/methods.h - Control method access functions.
 *
 *  Copyright (C) 2000 R. Byron Moore
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef __METHODS_H__
#define __METHODS_H__

#include <pnp.h>
#include <namesp.h>
#include <events.h>

/* Method name strings */

#define METHOD_NAME__HID        "_HID"
#define METHOD_NAME__UID        "_UID"
#define METHOD_NAME__ADR        "_ADR"
#define METHOD_NAME__STA        "_STA"
#define METHOD_NAME__REG        "_REG"
#define METHOD_NAME__SEG        "_SEG"
#define METHOD_NAME__BBN        "_BBN"


ACPI_STATUS
Execute_HID (NAME_TABLE_ENTRY *AcpiDevice, DEVICE_ID *Hid);

ACPI_STATUS
EvaluateNumeric (char *MethodName, NAME_TABLE_ENTRY *AcpiDevice, UINT32 *Address);

ACPI_STATUS 
Execute_STA (NAME_TABLE_ENTRY *AcpiDevice, UINT32 *StatusFlags);

ACPI_STATUS
Execute_UID (NAME_TABLE_ENTRY *AcpiDevice, DEVICE_ID *Uid);

BOOLEAN 
SystemMethodExists (char * Method);

#endif /* __METHODS_H__ */
