
/*
 *  ./acpica/subsystem/methods/mtpts.c - acpi Execute_PTS() method
 *
 *  Copyright (C) 2000 R. Byron Moore
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */



#define __MTPTS_C__

#include <acpi.h>
#include <methods.h>


#define _COMPONENT          MISCELLANEOUS
        MODULE_NAME         ("mtpts");



ACPI_STATUS
Execute_PTS (
    INT32                   PrepareSleepState)
{
    ACPI_OBJECT_INTERNAL    ObjDesc;
    ACPI_OBJECT_INTERNAL    *InObjDesc[2];
    ACPI_STATUS             Status = AE_NOT_FOUND;


    FUNCTION_TRACE ("Execute_PTS");


    ObjDesc.Common.Type = (UINT8) ACPI_TYPE_Number;
    ObjDesc.Number.Value = PrepareSleepState;
    
    InObjDesc[0] = &ObjDesc;
    InObjDesc[1] = NULL;

    if (SystemMethodExists ("_PTS"))
    {
        Status = NsEvaluateByName ("\\_PTS", InObjDesc, NULL);
    }
    
    else
    {   
        /*  _PTS control method does NOT exist in namespace */
        
        DEBUG_PRINT (ACPI_ERROR, ("_PTS does not exist\n"));
    }

    return_ACPI_STATUS (Status);
}
