
/*
 *  ./acpica/subsystem/resources/rsapi.c - Public interfaces to the ACPI subsystem
 *
 *  Copyright (C) 2000 R. Byron Moore
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */



#define __RSAPI_C__

#include <acpi.h>
#include <acobject.h>
#include <interp.h>
#include <namesp.h>
#include <pnp.h>
#include <resource.h>

#define _COMPONENT          RESOURCE_MANAGER
        MODULE_NAME         ("rsapi");



ACPI_STATUS
AcpiGetIRQRoutingTable  (
    ACPI_HANDLE             DeviceHandle, 
    ACPI_BUFFER             *RetBuffer)
{
    ACPI_STATUS             Status;


    FUNCTION_TRACE ("AcpiGetIRQRoutingTable ");

    Status = RsGetPRTMethodData (DeviceHandle, RetBuffer);

    return_ACPI_STATUS (Status);
}



ACPI_STATUS
AcpiGetCurrentResources (
    ACPI_HANDLE             DeviceHandle, 
    ACPI_BUFFER             *RetBuffer)
{
    ACPI_STATUS             Status;


    FUNCTION_TRACE ("AcpiGetCurrentResources");

    Status = RsGetCRSMethodData (DeviceHandle, RetBuffer);

    return_ACPI_STATUS (Status);
}



ACPI_STATUS
AcpiGetPossibleResources (
    ACPI_HANDLE             DeviceHandle, 
    ACPI_BUFFER             *RetBuffer)
{
    ACPI_STATUS             Status;


    FUNCTION_TRACE ("AcpiGetPossibleResources");

    Status = RsGetPRSMethodData (DeviceHandle, RetBuffer);

    return_ACPI_STATUS (Status);
}



ACPI_STATUS
AcpiSetCurrentResources (
    ACPI_HANDLE             DeviceHandle, 
    ACPI_BUFFER             *InBuffer)
{
    ACPI_STATUS             Status;


    FUNCTION_TRACE ("AcpiSetCurrentResources");

    Status = RsSetSRSMethodData (DeviceHandle, InBuffer);

    return_ACPI_STATUS (Status);
}
