/*
 *  event.h - Event handling
 *
 *  Copyright (C) 2000 Andrew Henroid
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _EVENT_H_
#define _EVENT_H_

/*
 * replace event handling interfaces
 */
ACPI_STATUS acpi_install_fixed_event_handler(UINT32 event,
	FIXED_EVENT_HANDLER handler,
	void *context);
ACPI_STATUS acpi_remove_fixed_event_handler(UINT32 event,
	FIXED_EVENT_HANDLER handler);
ACPI_STATUS acpi_install_gpe_handler(UINT32 gpe,
	UINT32 type,
	GPE_HANDLER handler,
	void *context);
ACPI_STATUS acpi_remove_gpe_handler(UINT32 gpe, GPE_HANDLER handler);
ACPI_STATUS acpi_enable_event(UINT32 event, UINT32 type);
ACPI_STATUS acpi_disable_event(UINT32 event, UINT32 type);
ACPI_STATUS acpi_clear_event(UINT32 event, UINT32 type);
ACPI_STATUS acpi_get_event_status(UINT32 event,
	UINT32 type,
	ACPI_EVENT_STATUS * status);

#ifdef ACPI_OSD_EVENTS

#define AcpiInstallFixedEventHandler acpi_install_fixed_event_handler
#define AcpiRemoveFixedEventHandler acpi_remove_fixed_event_handler
#define AcpiInstallGpeHandler acpi_install_gpe_handler
#define AcpiRemoveGpeHandler acpi_remove_gpe_handler
#define AcpiEnableEvent acpi_enable_event
#define AcpiDisableEvent acpi_disable_event
#define AcpiClearEvent acpi_clear_event
#define AcpiGetEventStatus acpi_get_event_status

#endif /* ACPI_OSD_EVENTS */

#endif /* _EVENT_H_ */
