Summary: ACPI kernel daemon and control utility
Name: acpid
Version: 042500
Release: 2mdk
Copyright: GPL
Group: System/Servers
Source0: acpid-%{version}.tar.bz2
Source1: acpid.rc.bz2
URL: http://phobos.fs.tum.de/acpi/
BuildRoot: %{_tmppath}/%{name}-%{version}-build

%description
The ACPI specification defines power and system management functions
for each computer, in a generic manner.  The ACPI daemon coordinates
the management of power and system functions when ACPI kernel
support is enabled (kernel 2.3.x or later).

%prep 
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
cd $RPM_BUILD_ROOT
bzcat $RPM_SOURCE_DIR/%{name}-%{version}.tar.bz2 | tar xf -

%build
cd $RPM_BUILD_ROOT/acpid

%ifnarch i386 i486 i586 i686 k6 k7
make
%else
make CFLAGS="$RPM_OPT_FLAGS -I../acpid -I../acpica/subsystem/include -DACPI_OSD_EVENTS=1 -DSYSTEM_CLIB_FUNCTIONS=1 -Wno-unused"
%endif

%install
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m755 $RPM_BUILD_ROOT/acpid/acpid/acpid $RPM_BUILD_ROOT/usr/sbin/acpid
install -m755 $RPM_BUILD_ROOT/acpid/acpi/acpi $RPM_BUILD_ROOT/usr/bin/acpi
bzcat $RPM_SOURCE_DIR/acpid.rc.bz2 > $RPM_BUILD_ROOT/acpid.rc
install -m755 $RPM_BUILD_ROOT/acpid.rc $RPM_BUILD_ROOT/etc/rc.d/init.d/acpid

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc $RPM_BUILD_ROOT/acpid/doc/README $RPM_BUILD_ROOT/acpid/COPYING
/usr/sbin/*
/usr/bin/*
%config /etc/rc.d/init.d/*

%changelog
* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 031700-2mdk
- use percent-config for init.d startup script
- compress acpid.rc with bzip2

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 031700-1mdk
- initial contribs version of acpid package

